# Makefile for makeindexk --te@informatik.uni-hannover.de. Public domain.
version = 2.13

ac_include ../make/paths.make
ac_include ../make/common.make
ac_include ../make/programs.make

objects = genind.o mkind.o qsort.o scanid.o scanst.o sortid.o
program = makeindex
programs = $(program)

default all: $(programs)

$(program): $(kpathsea) $(objects)
	$(kpathsea_link) $(objects) $(LOADLIBES)
ac_include ../make/tkpathsea.make

install: install-exec install-data
uninstall: uninstall-exec uninstall-data

install-exec: $(programs)
	$(SHELL) $(top_srcdir)/../mkinstalldirs $(bindir)
	$(INSTALL_LIBTOOL_PROG) $(bindir) $(program)
	$(INSTALL_SCRIPT) $(srcdir)/mkindex $(scriptdir)/mkindex
uninstall-exec:
	cd $(bindir) && rm -f $(program)
	cd $(scriptdir) && rm -f mkindex

install-data: makeindex.1
	$(SHELL) $(top_srcdir)/../mkinstalldirs $(mandir)
	$(INSTALL_DATA) $(srcdir)/makeindex.1 $(mandir)/makeindex.$(manext)

uninstall-data:

distname = makeindex
program_files =
version_files =

pre-dist-$(distname):
post-dist-$(distname):

ac_include ../make/dist.make
ac_include ../make/config.make

info dvi check:

ac_include ../make/clean.make

distclean::

ac_include ../make/rdepend.make
ac_include depend.make
